import { ParticleSystem, SerializationOptions } from './ParticleSystem';
import { Object3D, BaseEvent } from 'three';
export interface MetaData {
    geometries: any;
    materials: any;
    textures: any;
    images: any;
    shapes: any;
    skeletons: any;
    animations: any;
    nodes: any;
}
export declare class ParticleEmitter<E extends BaseEvent> extends Object3D<E> {
    type: string;
    system: ParticleSystem;
    constructor(system: ParticleSystem);
    clone(): any;
    dispose(): void;
    extractFromCache(cache: any): any[];
    toJSON(meta?: MetaData, options?: SerializationOptions): any;
}
